Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.storage
Class PropertyBlock

    java.lang.Object
      org.apache.poi.poifs.storage.PropertyBlock

All Implemented Interfaces:
  BlockWritable

    public final class PropertyBlock

extends java.lang.Object

A block of Property instances

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`static BlockWritable[]` | `createPropertyBlockArray(POIFSBigBlockSize bigBlockSize, java.util.List properties)` Create an array of PropertyBlocks from an array of Property instances, creating empty Property instances to make up any shortfall
`void` | `writeBlocks(java.io.OutputStream stream)` Write the storage to an OutputStream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPropertyBlockArray

    public static BlockWritable[] createPropertyBlockArray(POIFSBigBlockSize bigBlockSize,
                                                           java.util.List properties)

  Create an array of PropertyBlocks from an array of Property instances, creating empty Property instances to make up any shortfall

  Parameters:
    `properties` - the Property instances to be converted into PropertyBlocks, in a java List
  Returns:
    the array of newly created PropertyBlock instances

### writeBlocks

    public void writeBlocks(java.io.OutputStream stream)
                     throws java.io.IOException

  Write the storage to an OutputStream

  Specified by:
    `writeBlocks` in interface `BlockWritable`
  Parameters:
    `stream` - the OutputStream to which the stored data should be written
  Throws:
    `java.io.IOException` - on problems writing to the specified stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD